> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List credit grant adjustments

> Read all adjustments for this grant, newest first.



## OpenAPI

````yaml billing.2024-07-30.product.live GET /credit-grants/{id}/adjustments
openapi: 3.0.0
info:
  title: Billing
  description: Manage Billing
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Billing Schedules
  - name: Credits
  - name: Prices
  - name: Discounts
paths:
  /credit-grants/{id}/adjustments:
    servers: []
    parameters: []
    get:
      tags:
        - Credits
      summary: List credit grant adjustments
      description: Read all adjustments for this grant, newest first.
      operationId: getCreditGrantsByIdAdjustments
      parameters:
        - name: id
          in: path
          description: id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditGrantAdjustmentsResponse'
                example:
                  items:
                    - id: 019a9a5c-4f00-7000-8000-000000000001
                      creditGrantId: 019a9a5c-4f00-7000-8000-000000000002
                      amount: 100
                      charge: CHARGED
                      currency: USD
                      cost: 50
                      state: APPLIED
                      invoiceId: 019a9a5c-4f00-7000-8000-000000000001
                      servicePeriod:
                        start: '2026-11-01'
                        endInclusive: '2026-11-30'
                      createdAt: '2026-11-18T12:00:00Z'
                      appliedAt: '2026-11-18T12:00:01Z'
              examples:
                CreditGrantAdjustmentsResponse:
                  summary: ''
                  value:
                    items:
                      - id: 019a9a5c-4f00-7000-8000-000000000001
                        creditGrantId: 019a9a5c-4f00-7000-8000-000000000002
                        amount: 100
                        charge: CHARGED
                        currency: USD
                        cost: 50
                        state: APPLIED
                        invoiceId: 019a9a5c-4f00-7000-8000-000000000001
                        servicePeriod:
                          start: '2026-11-01'
                          endInclusive: '2026-11-30'
                        createdAt: '2026-11-18T12:00:00Z'
                        appliedAt: '2026-11-18T12:00:01Z'
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
                example:
                  error:
                    type: validationError
                    message: The request was invalid.
                    errors:
                      - code: invalidField
                        message: The request was invalid.
              examples:
                ApiError:
                  summary: ''
                  value:
                    error:
                      type: validationError
                      message: The request was invalid.
                      errors:
                        - code: invalidField
                          message: The request was invalid.
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    CreditGrantAdjustmentsResponse:
      required:
        - items
      type: object
      example:
        items:
          - id: 019a9a5c-4f00-7000-8000-000000000001
            creditGrantId: 019a9a5c-4f00-7000-8000-000000000002
            amount: 100
            charge: CHARGED
            currency: USD
            cost: 50
            state: APPLIED
            invoiceId: 019a9a5c-4f00-7000-8000-000000000001
            servicePeriod:
              start: '2026-11-01'
              endInclusive: '2026-11-30'
            createdAt: '2026-11-18T12:00:00Z'
            appliedAt: '2026-11-18T12:00:01Z'
      properties:
        items:
          type: array
          example:
            - id: 019a9a5c-4f00-7000-8000-000000000001
              creditGrantId: 019a9a5c-4f00-7000-8000-000000000002
              amount: 100
              charge: CHARGED
              currency: USD
              cost: 50
              state: APPLIED
              invoiceId: 019a9a5c-4f00-7000-8000-000000000001
              servicePeriod:
                start: '2026-11-01'
                endInclusive: '2026-11-30'
              createdAt: '2026-11-18T12:00:00Z'
              appliedAt: '2026-11-18T12:00:01Z'
          items:
            $ref: '#/components/schemas/CreditGrantAdjustmentResponse'
    ApiError:
      required:
        - error
      type: object
      example:
        error:
          type: validationError
          message: The request was invalid.
          errors:
            - code: invalidField
              message: The request was invalid.
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
    CreditGrantAdjustmentResponse:
      required:
        - amount
        - charge
        - cost
        - createdAt
        - creditGrantId
        - currency
        - id
        - state
      type: object
      example:
        id: 019a9a5c-4f00-7000-8000-000000000001
        creditGrantId: 019a9a5c-4f00-7000-8000-000000000002
        amount: 100
        charge: CHARGED
        currency: USD
        cost: 50
        state: APPLIED
        invoiceId: 019a9a5c-4f00-7000-8000-000000000001
        servicePeriod:
          start: '2026-11-01'
          endInclusive: '2026-11-30'
        createdAt: '2026-11-18T12:00:00Z'
        appliedAt: '2026-11-18T12:00:01Z'
      properties:
        id:
          type: string
          example: 019a9a5c-4f00-7000-8000-000000000001
        creditGrantId:
          type: string
          example: 019a9a5c-4f00-7000-8000-000000000002
        amount:
          type: number
          description: Credits added to the grant.
          example: 100
        charge:
          $ref: '#/components/schemas/CreditGrantAdjustmentCharge'
        currency:
          $ref: '#/components/schemas/Currency'
        cost:
          type: number
          example: 50
        state:
          $ref: '#/components/schemas/CreditGrantAdjustmentState'
        invoiceId:
          type: string
          nullable: true
          example: 019a9a5c-4f00-7000-8000-000000000001
        servicePeriod:
          $ref: '#/components/schemas/InclusiveDateRange'
          nullable: true
        createdAt:
          type: string
          example: '2026-11-18T12:00:00Z'
        appliedAt:
          type: string
          nullable: true
          example: '2026-11-18T12:00:01Z'
    ErrorObject:
      required:
        - message
        - type
      type: object
      description: Top level wrapper for all errors
      example:
        type: validationError
        message: The request was invalid.
        errors:
          - code: invalidField
            message: The request was invalid.
      properties:
        type:
          type: string
          description: Type of the error
          example: validationError
        message:
          type: string
          description: Plain text description of the error
          example: The request was invalid.
        errors:
          type: array
          description: A list of detailed errors
          nullable: true
          example:
            - code: invalidField
              message: The request was invalid.
          items:
            $ref: '#/components/schemas/ErrorItem'
    CreditGrantAdjustmentCharge:
      type: string
      example: CHARGED
      enum:
        - CHARGED
        - FREE
    Currency:
      type: string
      example: GBP
      enum:
        - AED
        - ARS
        - AUD
        - BRL
        - BGN
        - CAD
        - CHF
        - CLP
        - CNY
        - COP
        - CZK
        - DKK
        - EGP
        - EUR
        - GBP
        - HKD
        - ILS
        - INR
        - ISK
        - JPY
        - KRW
        - MXN
        - NOK
        - NZD
        - PLN
        - SAR
        - SEK
        - SGD
        - THB
        - USD
        - UYU
        - ZAR
    CreditGrantAdjustmentState:
      type: string
      example: APPLIED
      enum:
        - PENDING
        - APPLIED
    InclusiveDateRange:
      required:
        - endInclusive
        - start
      type: object
      example:
        start: '2026-11-01'
        endInclusive: '2026-11-30'
      properties:
        start:
          type: string
          description: Start date, included in the whole range
          example: '2026-11-01'
        endInclusive:
          type: string
          description: End date, included in the whole range
          example: '2026-11-30'
    ErrorItem:
      required:
        - code
        - message
      type: object
      example:
        code: invalidField
        message: The request was invalid.
      properties:
        code:
          type: string
          description: Code of the error
          example: invalidField
        message:
          type: string
          description: Plain text description of the error
          example: The request was invalid.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.